Subject: bug#70361: [PATCH] Add font-locking for operators in go-ts-mode.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Apr 2024 10:40:09 +0300

> From: Noah Peart <[email-masked]>
> Date: Sat, 13 Apr 2024 00:32:59 -0700
> Cc: [email-masked]
> 
> On a somewhat related note, I was wondering why the treesit modes in emacs
> define their `treesit-font-lock-feature-list`s in the mode definitions.
> 
> Wouldn't it be more user-friendly to `defvar` the feature list?

AFAIR, we do that in the mode's settings because the translation of
general categories into mode-specific settings is not easy, and
because we want users to control that via the fontification level, not
below that.

What problems do you see with the current approach that would require
more fine-grained user control?  And why do you think a defvar is the
proper way of providing such control?